Subject: Re: 7th Ray Labs LTD - Annual Consulting Agreement - Notice of non-renewal
From: Michal Siemaszko <[email-masked]>
To: Derek Palma <[email-masked]>
Date: Sat, 29 Jul 2017 21:39:10 +0200

Mr. Palma, 

In the list you specified you mention about providing information to Ari - of course I can provide it, but I can do this myself as there's plenty of time, documenting it at the same time. 
Perhaps you expected me to finish sooner than in 3 months time, which is contrary to our mutual agreement - our contract runs until October 31st.
As you know, non-renewal notice is simply informing your company that I will not extend contract beyond November 2017. Until then, i.e. October 31st 2017, contract - which both of us signed - continues.
With that in mind, kindly please review the following list of ongoing and backlogged projects/tasks currently assigned to me and let me know which should be completed by October 31st and in what order:
 - VNMD-761: Support SAP NW post install automation using jConnector - additional backend task lists ? 
 - Windows-related tasks 
   * MOD-446: Windows server provisioning on vSphere ? 
     > create new branch, commit work done so far ?
     > sysprepped image - create new image, apply all necessary tweaks as known from debugging, sysprep it, verify deployment can be provisioned and VM boots with interfaces attached - might be necessary to test in vCenter 6.x or upgrade existing vCenter
   * MOD-517: Customize Windows VM during provisioning ? 

   * MOD-455: "IOperatingSystemAccess` methods applicable for remote access to Windows OS" ?      > Configure Networks - set IPs and routes for each interface
     > Get network config - read back the IPs, MACs and routes for each interface     > Configure disks: Partitioning, create single partition on a disk (we need this first), create multiple partitions on a disk, get partitions for a disk, Mount and unmount disk on volume and UNC path (is there any difference?), Get Mounted disks, Get all disks
   * MOD-448: Install all the components on the Windows VM image required for Vnomic ?  
   * MOD-449: Sysprep the images and verify they are "Vnomic ready" ? 

   * Windows DSC code generator - translating Puppet cmds into PowerShell commands ? 
 - VNMD-759: CVS import into GIT ? 

 - MOD-524: Get list of timezones from Linux ?

 - MOD-529: ASA Client Access Lists - use cases sent last week on Tuesday (dynamic NAT/PAT) ? 
 - MOD-438: DNS using Active Directory / MOD-440: AD client with support for DNS programming ? 
 - Azure-related tasks
   * Upgrade Azure Java SDK to latest version ? 
   * Research Azure solution template UI API capabilities ? 
   * MOD-257: AzureClient support for programming Azure Security center ?    * MOD-259: Azure monitoring metrics ? 
   * MOD-268: Azure diagnostics logs ? 
   * MOD-269: Azure acvtivity logs for specific resources ? 
   * MOD-270: Azure alerts ? 
   * MOD-271: Tracking status of active Azure resources ? 
   * MOD-361: Provide method to query gateway connection status ? 
   * MOD-309: Enable Azure Resource Manager (ARM) VNET Gateway Diagnostic Logs ?    * MOD-250: Programmatically obtain Azure VM sizes ? 
   * MOD-251: Programatically query VM images from Azure ? 
   * MOD-255: Ensure common identity across all Azure APIs ? 

 - Reporting-related tasks 
   * VNMD-423: Report containing all deployments in a landscape ? 
   * VNMD-433: Landscapes' connectivity report section ? 
   * VNMD-434: Landscape report GUI integration ? 
   * VNMD-180: Generate report as last step of service deployment ? 

 - VNMD-662: License tracking for each jar/library VMD uses ? 

 - VNMD-661: Remove redundant Jar/Library across OSGI bundles ? 

 - VNMD-566: Create SNMP4J Client ? 

 - VNMD-65: Integrate SWAGGER for REST documentation/consumability ? 

I'm also attaching non-renewal notice I sent earlier, signed this time.
Regards,
M. Siemaszko

--
  Michal H. Siemaszko
  7th Ray Labs LTD
  Company no.: 9174013
  Mobile: +48 723 039 978
  Email: [email-masked],
               [email-masked]
  Skype: mhs7thraylabs
  WWW: http://ideas.into.software/
  LinkedIn: http://www.linkedin.com/in/mhsiemaszko/

On Fri, Jul 28, 2017, at 04:28 PM, Derek Palma wrote:
> Priorities are (main change is lowering GIT):

>  

> 1. SAP per Ari. He said you were finalizing this iteration

> 2. Windows

>                 Give Ari the information about the version which avoids the sys prep problem so we can begin to set it up> Get the power shell working to configure the disk and networks using the command you showed me. The entire list is:>                 Configure Networks

> set IPs and routes for each interface

>                 Get network config

> read back the IPs, MACs and routes for each interface

>                 Configure disks:

> Partitioning

> create single partition on a disk (we need this first).

> create multiple partitions on a disk

> get partitions for a disk

>                                 Mount and unmount disk on volume and UNC path (is there any difference?)>                                 Get Mounted disks

>                                 Get all disks

>                 Give Ari the information about the version which avoids the sys prep problem so we can begin to set it up>                 Package installation (we’ll discuss this)

> 3. CVS import to GIT

>  

> ASA is fine for now. I got all the object NAT stuff working I need.>  

>  

> *From:  *Michal Siemaszko <[email-masked]>
> *Date: *Friday, July 28, 2017 at 7:12 AM
> *To: *Derek Palma <[email-masked]>
> *Subject: *Re: 7th Ray Labs LTD - Annual Consulting Agreement - Notice of non-renewal>  

> Derek,

>  

> I'll continue starting today.

>  

> Regards,

> M. Siemaszko

>  

>  

> On Fri, Jul 28, 2017, at 01:14 AM, Derek Palma wrote:

>> No hard copy is required. Please tell me when you will return.

>>  

>> *From:* Michal Siemaszko [mailto:[email-masked]] 
>> *Sent:* Thursday, July 27, 2017 1:54 PM
>> *To:* Derek Palma <[email-masked]>
>> *Subject:* 7th Ray Labs LTD - Annual Consulting Agreement - Notice of non-renewal>>  

>> Dear Mr. Palma,

>>  

>> Attached is formal notice of non-renewal of our contract signed November 1st 2016. This contract expires on October 31st 2017 and I will not be renewing for 2018.>>  

>> As per the contract:

>>  

>> (...) *This Agreement shall be renewed automatically for additional 1 year terms (“Renewal Term”), unless a 90 days prior written notice of intent not to renew this Agreement upon its expiration (“Non-Renewal Notice”) is given by either the Company or the Consultant.* (...)>>  

>> I appreciate the opportunity to work with your company.

>>  

>> Over the next weeks, I will complete projects assigned to me as much as time permits and as per priorities set by you, and document properly those which I created, so that all of the work created by me for your company can be properly utilized and extended as needed.>>  

>> Kindly please let me know if you prefer a hard copy version of this notice and I can send it via courier service by the end of this month.>>  

>> Regards,

>> --

>>   Michal H. Siemaszko

>>   7th Ray Labs LTD

>>   Company no.: 9174013

>>   Mobile: +48 723 039 978

>>   Email: [email-masked],

>>                [email-masked]

>>   Skype: mhs7thraylabs

>>   WWW: http://ideas.into.software/

>>   LinkedIn: http://www.linkedin.com/in/mhsiemaszko/

>